Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.novell.nds.dirxml.driver.xds
Class DTD

    java.lang.Object
      com.novell.nds.dirxml.driver.xds.DTD

public abstract class DTD
extends Object

A subset of the Data Type Definition for XDS XML. Only those tags, attribute names, and values used by and relevant to a driver are included.

Field Summary
`static String` | `ATTR_APPLICATION_NAME` "application-name"
`static String` | `ATTR_ASN1ID` "asn1id"
`static String` | `ATTR_ASSOCIATION_REF` "association-ref"
`static String` | `ATTR_ATTR_NAME` "attr-name"
`static String` | `ATTR_BUILD` "build"
`static String` | `ATTR_CANCEL` "cancel"
`static String` | `ATTR_CASE_SENSITIVE` "case-sensitive"
`static String` | `ATTR_CLASS_NAME` "class-name"
`static String` | `ATTR_CONTAINER` "container"
`static String` | `ATTR_DEST_DN` "dest-dn"
`static String` | `ATTR_DEST_ENTRY_ID` "dest-entry-id"
`static String` | `ATTR_DISPLAY_NAME` "display-name"
`static String` | `ATTR_DN_DELIMS` "dn-delims"
`static String` | `ATTR_DN_FORMAT` "dn-format"
`static String` | `ATTR_DTDVERSION` "dtdversion"
`static String` | `ATTR_EVENT_ID` "event-id"
`static String` | `ATTR_HIERARCHICAL` "hierarchical"
`static String` | `ATTR_INSTANCE` "instance"
`static String` | `ATTR_LEVEL` "level"
`static String` | `ATTR_MAX_RESULT_COUNT` "max-result-count"
`static String` | `ATTR_MULTI_VALUED` "multi-valued"
`static String` | `ATTR_NAME` "name"
`static String` | `ATTR_NAMING` "naming"
`static String` | `ATTR_NDSVERSION` "ndsversion"
`static String` | `ATTR_OLD_SRC_DN` "old-src-dn"
`static String` | `ATTR_QUALIFIED_OLD_SRC_DN` "qualified-old-src-dn"
`static String` | `ATTR_QUALIFIED_SRC_DN` "qualified-src-dn"
`static String` | `ATTR_READ_ONLY` "read-only"
`static String` | `ATTR_REMOVE_OLD_NAME` "remove-old-name"
`static String` | `ATTR_REQUIRED` "required"
`static String` | `ATTR_SCOPE` "scope"
`static String` | `ATTR_SRC_DN` "src-dn"
`static String` | `ATTR_SRC_ENTRY_ID` "src-entry-id"
`static String` | `ATTR_STATE` "state"
`static String` | `ATTR_STATUS_LEVEL` "status-level"
`static String` | `ATTR_TEMPLATE_DN` "template-dn"
`static String` | `ATTR_TYPE` "type"
`static String` | `ATTR_VERSION` "version"
`static String` | `TAG_ADD` "add"
`static String` | `TAG_ADD_ASSOCIATION` "add-association"
`static String` | `TAG_ADD_ATTR` "add-attr"
`static String` | `TAG_ADD_VALUE` "add-value"
`static String` | `TAG_ALLOW_ATTR` "allow-attr"
`static String` | `TAG_ALLOW_CLASS` "allow-class"
`static String` | `TAG_ASSOCIATION` "association"
`static String` | `TAG_ATTR` "attr"
`static String` | `TAG_ATTR_DEF` "attr-def"
`static String` | `TAG_AUTHENTICATION_INFO` "authentication-info"
`static String` | `TAG_CHECK_OBJECT_PASSWORD` "check-object-password"
`static String` | `TAG_CHECK_PASSWORD` "check-password"
`static String` | `TAG_CLASS_DEF` "class-def"
`static String` | `TAG_COMPONENT` "component"
`static String` | `TAG_CONTACT` "contact"
`static String` | `TAG_DELETE` "delete"
`static String` | `TAG_DESCRIPTION` "description"
`static String` | `TAG_DRIVER_FILTER` "driver-filter"
`static String` | `TAG_DRIVER_OPTIONS` "driver-options"
`static String` | `TAG_DRIVER_STATE` "driver-state"
`static String` | `TAG_GET_NAMED_PASSWORD` "get-named-password"
`static String` | `TAG_INIT_PARAMS` "init-params"
`static String` | `TAG_INPUT` "input"
`static String` | `TAG_INSTANCE` "instance"
`static String` | `TAG_MODIFY` "modify"
`static String` | `TAG_MODIFY_ASSOCIATION` "modify-association"
`static String` | `TAG_MODIFY_ATTR` "modify-attr"
`static String` | `TAG_MODIFY_PASSWORD` "modify-password"
`static String` | `TAG_MOVE` "move"
`static String` | `TAG_NDS` "nds"
`static String` | `TAG_NEW_NAME` "new-name"
`static String` | `TAG_OLD_PASSWORD` "old-password"
`static String` | `TAG_OUTPUT` "output"
`static String` | `TAG_PARENT` "parent"
`static String` | `TAG_PASSWORD` "password"
`static String` | `TAG_PRODUCT` "product"
`static String` | `TAG_PUBLISHER_OPTIONS` "publisher-options"
`static String` | `TAG_PUBLISHER_STATE` "publisher-state"
`static String` | `TAG_QUERY` "query"
`static String` | `TAG_QUERY_EX` "query-ex"
`static String` | `TAG_QUERY_TOKEN` "query-token"
`static String` | `TAG_READ_ATTR` "read-attr"
`static String` | `TAG_READ_PARENT` "read-parent"
`static String` | `TAG_REMOVE_ALL_VALUES` "remove-all-values"
`static String` | `TAG_REMOVE_ASSOCIATION` "remove-association"
`static String` | `TAG_REMOVE_VALUE` "remove-value"
`static String` | `TAG_RENAME` "rename"
`static String` | `TAG_SCHEMA_DEF` "schema-def"
`static String` | `TAG_SEARCH_ATTR` "search-attr"
`static String` | `TAG_SEARCH_CLASS` "search-class"
`static String` | `TAG_SERVER` "server"
`static String` | `TAG_SOURCE` "source"
`static String` | `TAG_STATUS` "status"
`static String` | `TAG_SUBSCRIBER_OPTIONS` "subscriber-options"
`static String` | `TAG_SUBSCRIBER_STATE` "subscriber-state"
`static String` | `TAG_SYNC` "sync"
`static String` | `TAG_USER` "user"
`static String` | `TAG_VALUE` "value"
`static String` | `VAL_APP_AUTHENTICATION` "app-authentication"
`static String` | `VAL_APP_CONNECTION` "app-connection"
`static String` | `VAL_APP_GENERAL` "app-general"
`static String` | `VAL_COUNTER` "counter"
`static String` | `VAL_DEFAULT` "default"
`static String` | `VAL_DN` "dn"
`static String` | `VAL_DOT` "dot"
`static String` | `VAL_DRIVER_GENERAL` "driver-general"
`static String` | `VAL_DRIVER_ID` "driver-id"
`static String` | `VAL_DRIVER_IDENT_CLASS` "__driver_identification_class__"
`static String` | `VAL_DRIVER_STATUS` "driver-status"
`static String` | `VAL_DRIVER_VERSION` "driver-version"
`static String` | `VAL_ENTRY` "entry"
`static String` | `VAL_ERROR` "error"
`static String` | `VAL_FALSE` "false"
`static String` | `VAL_FATAL` "fatal"
`static String` | `VAL_HEARTBEAT` "heartbeat"
`static String` | `VAL_INT` "int"
`static String` | `VAL_INTERVAL` "interval"
`static String` | `VAL_LDAP` "ldap"
`static String` | `VAL_MIN_ACTIVATION_VERSION` "min-activation-version"
`static String` | `VAL_OCTET` "octet"
`static String` | `VAL_PASSWORD_SET_OPERATION` "password-set-operation"
`static String` | `VAL_PENDING` "pending"
`static String` | `VAL_QUALIFIED_DOT` "qualified-dot"
`static String` | `VAL_QUALIFIED_SLASH` "qualified-slash"
`static String` | `VAL_QUERY_DRIVER_IDENT` "query-driver-ident"
`static String` | `VAL_QUERY_EX_SUPPORTED` "query-ex-supported"
`static String` | `VAL_REMOTELOADER` "remoteloader"
`static String` | `VAL_RETRY` "retry"
`static String` | `VAL_SLASH` "slash"
`static String` | `VAL_STATE` "state"
`static String` | `VAL_STRING` "string"
`static String` | `VAL_STRUCTURED` "structured"
`static String` | `VAL_SUBORDINATES` "subordinates"
`static String` | `VAL_SUBTREE` "subtree"
`static String` | `VAL_SUCCESS` "success"
`static String` | `VAL_TELENUMBER` "teleNumber"
`static String` | `VAL_TIME` "time"
`static String` | `VAL_TRUE` "true"
`static String` | `VAL_WARNING` "warning"
`static String` | `VAL_XML` "xml"

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### TAG_NDS

    public static final String TAG_NDS

  "nds"

  See Also:
    Constant Field Values

### TAG_SOURCE

    public static final String TAG_SOURCE

  "source"

  See Also:
    Constant Field Values

### TAG_INPUT

    public static final String TAG_INPUT

  "input"

  See Also:
    Constant Field Values

### TAG_OUTPUT

    public static final String TAG_OUTPUT

  "output"

  See Also:
    Constant Field Values

### TAG_PRODUCT

    public static final String TAG_PRODUCT

  "product"

  See Also:
    Constant Field Values

### TAG_CONTACT

    public static final String TAG_CONTACT

  "contact"

  See Also:
    Constant Field Values

### TAG_ADD

    public static final String TAG_ADD

  "add"

  See Also:
    Constant Field Values

### TAG_MODIFY

    public static final String TAG_MODIFY

  "modify"

  See Also:
    Constant Field Values

### TAG_DELETE

    public static final String TAG_DELETE

  "delete"

  See Also:
    Constant Field Values

### TAG_RENAME

    public static final String TAG_RENAME

  "rename"

  See Also:
    Constant Field Values

### TAG_MOVE

    public static final String TAG_MOVE

  "move"

  See Also:
    Constant Field Values

### TAG_QUERY

    public static final String TAG_QUERY

  "query"

  See Also:
    Constant Field Values

### TAG_ADD_ASSOCIATION

    public static final String TAG_ADD_ASSOCIATION

  "add-association"

  See Also:
    Constant Field Values

### TAG_MODIFY_ASSOCIATION

    public static final String TAG_MODIFY_ASSOCIATION

  "modify-association"

  See Also:
    Constant Field Values

### TAG_REMOVE_ASSOCIATION

    public static final String TAG_REMOVE_ASSOCIATION

  "remove-association"

  See Also:
    Constant Field Values

### TAG_INIT_PARAMS

    public static final String TAG_INIT_PARAMS

  "init-params"

  See Also:
    Constant Field Values

### TAG_STATUS

    public static final String TAG_STATUS

  "status"

  See Also:
    Constant Field Values

### TAG_INSTANCE

    public static final String TAG_INSTANCE

  "instance"

  See Also:
    Constant Field Values

### TAG_SCHEMA_DEF

    public static final String TAG_SCHEMA_DEF

  "schema-def"

  See Also:
    Constant Field Values

### TAG_VALUE

    public static final String TAG_VALUE

  "value"

  See Also:
    Constant Field Values

### TAG_COMPONENT

    public static final String TAG_COMPONENT

  "component"

  See Also:
    Constant Field Values

### TAG_ASSOCIATION

    public static final String TAG_ASSOCIATION

  "association"

  See Also:
    Constant Field Values

### TAG_PARENT

    public static final String TAG_PARENT

  "parent"

  See Also:
    Constant Field Values

### TAG_SEARCH_CLASS

    public static final String TAG_SEARCH_CLASS

  "search-class"

  See Also:
    Constant Field Values

### TAG_SEARCH_ATTR

    public static final String TAG_SEARCH_ATTR

  "search-attr"

  See Also:
    Constant Field Values

### TAG_READ_ATTR

    public static final String TAG_READ_ATTR

  "read-attr"

  See Also:
    Constant Field Values

### TAG_READ_PARENT

    public static final String TAG_READ_PARENT

  "read-parent"

  See Also:
    Constant Field Values

### TAG_ADD_ATTR

    public static final String TAG_ADD_ATTR

  "add-attr"

  See Also:
    Constant Field Values

### TAG_PASSWORD

    public static final String TAG_PASSWORD

  "password"

  See Also:
    Constant Field Values

### TAG_MODIFY_ATTR

    public static final String TAG_MODIFY_ATTR

  "modify-attr"

  See Also:
    Constant Field Values

### TAG_REMOVE_VALUE

    public static final String TAG_REMOVE_VALUE

  "remove-value"

  See Also:
    Constant Field Values

### TAG_REMOVE_ALL_VALUES

    public static final String TAG_REMOVE_ALL_VALUES

  "remove-all-values"

  See Also:
    Constant Field Values

### TAG_ADD_VALUE

    public static final String TAG_ADD_VALUE

  "add-value"

  See Also:
    Constant Field Values

### TAG_NEW_NAME

    public static final String TAG_NEW_NAME

  "new-name"

  See Also:
    Constant Field Values

### TAG_ATTR

    public static final String TAG_ATTR

  "attr"

  See Also:
    Constant Field Values

### TAG_AUTHENTICATION_INFO

    public static final String TAG_AUTHENTICATION_INFO

  "authentication-info"

  See Also:
    Constant Field Values

### TAG_DRIVER_FILTER

    public static final String TAG_DRIVER_FILTER

  "driver-filter"

  See Also:
    Constant Field Values

### TAG_DRIVER_OPTIONS

    public static final String TAG_DRIVER_OPTIONS

  "driver-options"

  See Also:
    Constant Field Values

### TAG_SUBSCRIBER_OPTIONS

    public static final String TAG_SUBSCRIBER_OPTIONS

  "subscriber-options"

  See Also:
    Constant Field Values

### TAG_PUBLISHER_OPTIONS

    public static final String TAG_PUBLISHER_OPTIONS

  "publisher-options"

  See Also:
    Constant Field Values

### TAG_DRIVER_STATE

    public static final String TAG_DRIVER_STATE

  "driver-state"

  See Also:
    Constant Field Values

### TAG_SUBSCRIBER_STATE

    public static final String TAG_SUBSCRIBER_STATE

  "subscriber-state"

  See Also:
    Constant Field Values

### TAG_PUBLISHER_STATE

    public static final String TAG_PUBLISHER_STATE

  "publisher-state"

  See Also:
    Constant Field Values

### TAG_SERVER

    public static final String TAG_SERVER

  "server"

  See Also:
    Constant Field Values

### TAG_USER

    public static final String TAG_USER

  "user"

  See Also:
    Constant Field Values

### TAG_ALLOW_CLASS

    public static final String TAG_ALLOW_CLASS

  "allow-class"

  See Also:
    Constant Field Values

### TAG_ALLOW_ATTR

    public static final String TAG_ALLOW_ATTR

  "allow-attr"

  See Also:
    Constant Field Values

### TAG_CLASS_DEF

    public static final String TAG_CLASS_DEF

  "class-def"

  See Also:
    Constant Field Values

### TAG_ATTR_DEF

    public static final String TAG_ATTR_DEF

  "attr-def"

  See Also:
    Constant Field Values

### ATTR_NDSVERSION

    public static final String ATTR_NDSVERSION

  "ndsversion"

  See Also:
    Constant Field Values

### ATTR_DTDVERSION

    public static final String ATTR_DTDVERSION

  "dtdversion"

  See Also:
    Constant Field Values

### ATTR_VERSION

    public static final String ATTR_VERSION

  "version"

  See Also:
    Constant Field Values

### ATTR_ASN1ID

    public static final String ATTR_ASN1ID

  "asn1id"

  See Also:
    Constant Field Values

### ATTR_TYPE

    public static final String ATTR_TYPE

  "type"

  See Also:
    Constant Field Values

### ATTR_ASSOCIATION_REF

    public static final String ATTR_ASSOCIATION_REF

  "association-ref"

  See Also:
    Constant Field Values

### ATTR_NAMING

    public static final String ATTR_NAMING

  "naming"

  See Also:
    Constant Field Values

### ATTR_NAME

    public static final String ATTR_NAME

  "name"

  See Also:
    Constant Field Values

### ATTR_STATE

    public static final String ATTR_STATE

  "state"

  See Also:
    Constant Field Values

### ATTR_SRC_DN

    public static final String ATTR_SRC_DN

  "src-dn"

  See Also:
    Constant Field Values

### ATTR_SRC_ENTRY_ID

    public static final String ATTR_SRC_ENTRY_ID

  "src-entry-id"

  See Also:
    Constant Field Values

### ATTR_DEST_DN

    public static final String ATTR_DEST_DN

  "dest-dn"

  See Also:
    Constant Field Values

### ATTR_DEST_ENTRY_ID

    public static final String ATTR_DEST_ENTRY_ID

  "dest-entry-id"

  See Also:
    Constant Field Values

### ATTR_CLASS_NAME

    public static final String ATTR_CLASS_NAME

  "class-name"

  See Also:
    Constant Field Values

### ATTR_SCOPE

    public static final String ATTR_SCOPE

  "scope"

  See Also:
    Constant Field Values

### ATTR_EVENT_ID

    public static final String ATTR_EVENT_ID

  "event-id"

  See Also:
    Constant Field Values

### ATTR_ATTR_NAME

    public static final String ATTR_ATTR_NAME

  "attr-name"

  See Also:
    Constant Field Values

### ATTR_TEMPLATE_DN

    public static final String ATTR_TEMPLATE_DN

  "template-dn"

  See Also:
    Constant Field Values

### ATTR_OLD_SRC_DN

    public static final String ATTR_OLD_SRC_DN

  "old-src-dn"

  See Also:
    Constant Field Values

### ATTR_REMOVE_OLD_NAME

    public static final String ATTR_REMOVE_OLD_NAME

  "remove-old-name"

  See Also:
    Constant Field Values

### ATTR_LEVEL

    public static final String ATTR_LEVEL

  "level"

  See Also:
    Constant Field Values

### ATTR_DISPLAY_NAME

    public static final String ATTR_DISPLAY_NAME

  "display-name"

  See Also:
    Constant Field Values

### ATTR_HIERARCHICAL

    public static final String ATTR_HIERARCHICAL

  "hierarchical"

  See Also:
    Constant Field Values

### ATTR_APPLICATION_NAME

    public static final String ATTR_APPLICATION_NAME

  "application-name"

  See Also:
    Constant Field Values

### ATTR_CONTAINER

    public static final String ATTR_CONTAINER

  "container"

  See Also:
    Constant Field Values

### ATTR_REQUIRED

    public static final String ATTR_REQUIRED

  "required"

  See Also:
    Constant Field Values

### ATTR_MULTI_VALUED

    public static final String ATTR_MULTI_VALUED

  "multi-valued"

  See Also:
    Constant Field Values

### ATTR_CASE_SENSITIVE

    public static final String ATTR_CASE_SENSITIVE

  "case-sensitive"

  See Also:
    Constant Field Values

### ATTR_READ_ONLY

    public static final String ATTR_READ_ONLY

  "read-only"

  See Also:
    Constant Field Values

### ATTR_STATUS_LEVEL

    public static final String ATTR_STATUS_LEVEL

  "status-level"

  See Also:
    Constant Field Values

### VAL_PENDING

    public static final String VAL_PENDING

  "pending"

  See Also:
    Constant Field Values

### VAL_ENTRY

    public static final String VAL_ENTRY

  "entry"

  See Also:
    Constant Field Values

### VAL_SUBORDINATES

    public static final String VAL_SUBORDINATES

  "subordinates"

  See Also:
    Constant Field Values

### VAL_SUBTREE

    public static final String VAL_SUBTREE

  "subtree"

  See Also:
    Constant Field Values

### VAL_FATAL

    public static final String VAL_FATAL

  "fatal"

  See Also:
    Constant Field Values

### VAL_ERROR

    public static final String VAL_ERROR

  "error"

  See Also:
    Constant Field Values

### VAL_WARNING

    public static final String VAL_WARNING

  "warning"

  See Also:
    Constant Field Values

### VAL_SUCCESS

    public static final String VAL_SUCCESS

  "success"

  See Also:
    Constant Field Values

### VAL_RETRY

    public static final String VAL_RETRY

  "retry"

  See Also:
    Constant Field Values

### VAL_STRING

    public static final String VAL_STRING

  "string"

  See Also:
    Constant Field Values

### VAL_TELENUMBER

    public static final String VAL_TELENUMBER

  "teleNumber"

  See Also:
    Constant Field Values

### VAL_INT

    public static final String VAL_INT

  "int"

  See Also:
    Constant Field Values

### VAL_STATE

    public static final String VAL_STATE

  "state"

  See Also:
    Constant Field Values

### VAL_COUNTER

    public static final String VAL_COUNTER

  "counter"

  See Also:
    Constant Field Values

### VAL_DN

    public static final String VAL_DN

  "dn"

  See Also:
    Constant Field Values

### VAL_INTERVAL

    public static final String VAL_INTERVAL

  "interval"

  See Also:
    Constant Field Values

### VAL_OCTET

    public static final String VAL_OCTET

  "octet"

  See Also:
    Constant Field Values

### VAL_TIME

    public static final String VAL_TIME

  "time"

  See Also:
    Constant Field Values

### VAL_STRUCTURED

    public static final String VAL_STRUCTURED

  "structured"

  See Also:
    Constant Field Values

### VAL_DEFAULT

    public static final String VAL_DEFAULT

  "default"

  See Also:
    Constant Field Values

### VAL_XML

    public static final String VAL_XML

  "xml"

  See Also:
    Constant Field Values

### VAL_TRUE

    public static final String VAL_TRUE

  "true"

  See Also:
    Constant Field Values

### VAL_FALSE

    public static final String VAL_FALSE

  "false"

  See Also:
    Constant Field Values

### TAG_MODIFY_PASSWORD

    public static final String TAG_MODIFY_PASSWORD

  "modify-password"

  See Also:
    Constant Field Values

### TAG_OLD_PASSWORD

    public static final String TAG_OLD_PASSWORD

  "old-password"

  See Also:
    Constant Field Values

### TAG_DESCRIPTION

    public static final String TAG_DESCRIPTION

  "description"

  See Also:
    Constant Field Values

### ATTR_INSTANCE

    public static final String ATTR_INSTANCE

  "instance"

  See Also:
    Constant Field Values

### ATTR_BUILD

    public static final String ATTR_BUILD

  "build"

  See Also:
    Constant Field Values

### VAL_MIN_ACTIVATION_VERSION

    public static final String VAL_MIN_ACTIVATION_VERSION

  "min-activation-version"

  See Also:
    Constant Field Values

### VAL_DRIVER_VERSION

    public static final String VAL_DRIVER_VERSION

  "driver-version"

  See Also:
    Constant Field Values

### VAL_DRIVER_ID

    public static final String VAL_DRIVER_ID

  "driver-id"

  See Also:
    Constant Field Values

### VAL_QUERY_DRIVER_IDENT

    public static final String VAL_QUERY_DRIVER_IDENT

  "query-driver-ident"

  See Also:
    Constant Field Values

### VAL_DRIVER_IDENT_CLASS

    public static final String VAL_DRIVER_IDENT_CLASS

  "__driver_identification_class__"

  See Also:
    Constant Field Values

### VAL_REMOTELOADER

    public static final String VAL_REMOTELOADER

  "remoteloader"

  See Also:
    Constant Field Values

### VAL_APP_GENERAL

    public static final String VAL_APP_GENERAL

  "app-general"

  See Also:
    Constant Field Values

### VAL_APP_AUTHENTICATION

    public static final String VAL_APP_AUTHENTICATION

  "app-authentication"

  See Also:
    Constant Field Values

### VAL_APP_CONNECTION

    public static final String VAL_APP_CONNECTION

  "app-connection"

  See Also:
    Constant Field Values

### VAL_DRIVER_GENERAL

    public static final String VAL_DRIVER_GENERAL

  "driver-general"

  See Also:
    Constant Field Values

### VAL_DRIVER_STATUS

    public static final String VAL_DRIVER_STATUS

  "driver-status"

  See Also:
    Constant Field Values

### VAL_PASSWORD_SET_OPERATION

    public static final String VAL_PASSWORD_SET_OPERATION

  "password-set-operation"

  See Also:
    Constant Field Values

### TAG_CHECK_OBJECT_PASSWORD

    public static final String TAG_CHECK_OBJECT_PASSWORD

  "check-object-password"

  See Also:
    Constant Field Values

### TAG_QUERY_EX

    public static final String TAG_QUERY_EX

  "query-ex"

  See Also:
    Constant Field Values

### TAG_QUERY_TOKEN

    public static final String TAG_QUERY_TOKEN

  "query-token"

  See Also:
    Constant Field Values

### ATTR_QUALIFIED_OLD_SRC_DN

    public static final String ATTR_QUALIFIED_OLD_SRC_DN

  "qualified-old-src-dn"

  See Also:
    Constant Field Values

### ATTR_QUALIFIED_SRC_DN

    public static final String ATTR_QUALIFIED_SRC_DN

  "qualified-src-dn"

  See Also:
    Constant Field Values

### ATTR_DN_FORMAT

    public static final String ATTR_DN_FORMAT

  "dn-format"

  See Also:
    Constant Field Values

### ATTR_DN_DELIMS

    public static final String ATTR_DN_DELIMS

  "dn-delims"

  See Also:
    Constant Field Values

### ATTR_MAX_RESULT_COUNT

    public static final String ATTR_MAX_RESULT_COUNT

  "max-result-count"

  See Also:
    Constant Field Values

### ATTR_CANCEL

    public static final String ATTR_CANCEL

  "cancel"

  See Also:
    Constant Field Values

### VAL_HEARTBEAT

    public static final String VAL_HEARTBEAT

  "heartbeat"

  See Also:
    Constant Field Values

### VAL_DOT

    public static final String VAL_DOT

  "dot"

  See Also:
    Constant Field Values

### VAL_QUALIFIED_DOT

    public static final String VAL_QUALIFIED_DOT

  "qualified-dot"

  See Also:
    Constant Field Values

### VAL_SLASH

    public static final String VAL_SLASH

  "slash"

  See Also:
    Constant Field Values

### VAL_QUALIFIED_SLASH

    public static final String VAL_QUALIFIED_SLASH

  "qualified-slash"

  See Also:
    Constant Field Values

### VAL_LDAP

    public static final String VAL_LDAP

  "ldap"

  See Also:
    Constant Field Values

### VAL_QUERY_EX_SUPPORTED

    public static final String VAL_QUERY_EX_SUPPORTED

  "query-ex-supported"

  See Also:
    Constant Field Values

### TAG_GET_NAMED_PASSWORD

    public static final String TAG_GET_NAMED_PASSWORD

  "get-named-password"

  See Also:
    Constant Field Values

### TAG_SYNC

    public static final String TAG_SYNC

  "sync"

  See Also:
    Constant Field Values

### TAG_CHECK_PASSWORD

    public static final String TAG_CHECK_PASSWORD

  "check-password"

  See Also:
    Constant Field Values

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD